<template>
    <div class="form">
        <item-input :labelForm="'Название'" v-model="name" @keyup.enter.native="sendForm" @keyup.esc.native="clearForm" ></item-input>
        <item-input :labelForm="'Изображение'"  v-model="image" @keyup.enter.native="sendForm" @keyup.esc.native="clearForm" ></item-input>
        <div class="btn-group">
            <div class="btn btn-primary" @click="sendForm"><i class="fas fa-check"></i></div>
            <div class="btn btn-danger" @click="clearForm"><i class="fas fa-times"></i></div>
        </div>
    </div>
</template>

<script>
    import itemInput from '@/components/formInput'

    export default {
        name: "todoForm",
        components: {
            itemInput
        },
        props: ['next'],
        data() {
            return {
                name: '',
                image: ''
            }
        },
        methods: {
            sendForm() {
                if ( this.name.length > 0 ) {
                    var id = this.next;
                    var name = this.name;
                    var image = this.image;
                    const form = {
                        id: id,
                        name: name,
                        image: image,
                        done: false,
                        liked: false,
                        time: Date.now(),
                        edited: {
                            state: false,
                            time: 0
                        }
                    };
                    this.$emit('new-todo', form);
                    this.name = "";
                    this.image = "";
                }
            },
            clearForm() {
                this.name = "";
                this.image = "";
            }
        },
        watch: {
            name: function (val) {
                this.$emit('find', val);
            },
        }
    }
</script>

<style lang="scss" scoped>

    .form {
        background: #f8f8f8;
        width: 100%;
        margin: 10px auto;
        padding: 15px 15px 20px;
        display: flex;
        align-items: flex-start;
        box-shadow: 0 0 12px rgba(0,0,0,0.2);

        .item-form {
            width: calc(50% - 50px);
            margin-right: 10px;

            .control-label {
                font-weight: 600;
                line-height: 20px;
                font-size: 14px;
            }
            input {
                width: 100%;
                height: 35px;
                line-height: 35px;
                padding: 0 10px;
                border: 1px solid #cecece;
                border-radius: 5px;
                outline: none !important;
            }
        }
        .btn-group{
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
            margin-top: 20px;
            margin-left: auto;
            width: 80px;

            .btn {
                height: 35px !important;
                width: 35px;
            }
        }
    }
</style>